## golang-1.8 1.8~beta2

=== debian/changelog ===
golang-1.8 (1.8~beta2-1ubuntu1) zesty; urgency=medium

  * Re-apply Ubuntu changes on auto-sync from Debian unstable:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 20 Dec 2016 14:19:55 +1300

golang-1.8 (1.8~beta2-1) unstable; urgency=medium

  * New upstream release. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 20 Dec 2016 14:19:55 +1300

golang-1.8 (1.8~beta1-1) unstable; urgency=medium

  * New upstream release.
  * Remove d/patches/cl-29995--tzdata-2016g.patch, included upstream. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Dec 2016 17:38:57 -0800

golang-1.7 (1.7.4-1) unstable; urgency=medium

  * Update to 1.7.4 upstream release (Closes: #846545)
    - https://groups.google.com/d/topic/golang-announce/2lP5z9i9ySY/discussion
    - https://golang.org/issue/17965 (potential DoS vector in net/http)
    - https://github.com/golang/go/compare/go1.7.3...go1.7.4

 -- Tianon Gravi <tianon@debian.org>  Fri, 02 Dec 2016 13:30:36 -0800

golang-1.7 (1.7.3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Oct 2016 09:25:40 +1300

golang-1.7 (1.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Delete d/patches/cl-28850.patch, applied upstream. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Oct 2016 09:10:47 +1300

golang-1.7 (1.7.1-3) unstable; urgency=medium

  * Backport CL 29995 for tzdata 2016g changes (Closes: #839317)

 -- Tianon Gravi <tianon@debian.org>  Mon, 03 Oct 2016 15:12:28 -0700

golang-1.7 (1.7.1-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Sep 2016 19:48:12 +1200

golang-1.7 (1.7.1-2) unstable; urgency=medium

  * Add upstream patch for s390x FTBFS

 -- Tianon Gravi <tianon@debian.org>  Mon, 12 Sep 2016 09:32:10 -0700

golang-1.7 (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable tests on s390x now that gcc-6 has been fixed in unstable. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Sep 2016 13:04:33 +1200

golang-1.7 (1.7-3) unstable; urgency=medium

  * Add "s390x" to Architectures

 -- Tianon Gravi <tianon@debian.org>  Tue, 23 Aug 2016 07:35:16 -0700

golang-1.7 (1.7-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build on s390x.
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 18 Aug 2016 10:53:14 +1200

golang-1.7 (1.7-2) unstable; urgency=medium

  * Disable tests on armel.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 15:18:07 +1200

golang-1.7 (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 11:37:34 +1200

golang-1.7 (1.7~rc4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 02 Aug 2016 15:10:22 +1200

golang-1.7 (1.7~rc3-1ubuntu3) yakkety; urgency=medium

  * Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 22:41:47 +1200

golang-1.7 (1.7~rc3-1ubuntu2) yakkety; urgency=medium

  * Reenable building on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 22:49:37 +1200

golang-1.7 (1.7~rc3-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 21:23:34 +1200

golang-1.7 (1.7~rc3-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Remove outdated README files (README.source and README.Debian)

  [ Michael Hudson-Doyle ]
  * New upstream release.
  * Suppress inaccurate source-is-missing lintian warnings. 
  * Update Standards-Version to 3.9.8 (no changes required). 

 -- Tianon Gravi <tianon@debian.org>  Mon, 11 Jul 2016 18:31:57 -0700

golang-1.7 (1.7~rc2-1) unstable; urgency=medium

  * Update to 1.7rc2 upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 19 Jul 2016 14:40:14 +1200

golang-1.7 (1.7~rc1-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tianon Gravi ]
  * Update to 1.7rc1 upstream release (new packages, not used by default; see
    also src:golang-defaults)
  * Update Vcs-Git to reference a particular branch

 -- Tianon Gravi <tianon@debian.org>  Mon, 11 Jul 2016 16:10:12 -0700

golang-1.7 (1.7~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Jul 2016 16:54:23 +1200

golang-1.7 (1.7~beta2-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Drop patch, included in releae:
    - d/patches/0001-cmd-go-test-deflake.patch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 20 Jun 2016 11:28:44 +1200


