=== debian/control ===
#
# WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")
#

Source: golang-1.8
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Michael Hudson-Doyle <michael.hudson@ubuntu.com>
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
Vcs-Git: https://anonscm.debian.org/git/pkg-golang/golang.git -b golang-1.8
Build-Depends: debhelper (>= 7.4.10),
               golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
               netbase
Standards-Version: 3.9.8
Homepage: https://golang.org

Package: golang-1.8-go
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
Depends: golang-1.8-src (>= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: g++,
            gcc,
            golang-1.8-race-detector-runtime [amd64],
            libc6-dev,
            pkg-config
Suggests: bzr, ca-certificates, git, mercurial, subversion
Description: Go programming language compiler, linker, compiled stdlib
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides an assembler, compiler, linker, and compiled libraries
 for the Go programming language.
 .
 Go supports cross-compilation, but as of Go 1.5, it is no longer necessary to
 pre-compile the standard library inside GOROOT for cross-compilation to work.

Package: golang-1.8-src
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Go programming language - source files
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides the Go programming language source files needed for
 cross-compilation.

Package: golang-1.8-doc
Depends: golang-1.8-go, ${misc:Depends}
Architecture: all
Section: doc
Description: Go programming language - documentation
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a fast,
 statically typed, compiled language that feels like a dynamically
 typed, interpreted language.
 .
 This package provides the documentation for the Go programming
 language. You can view the formatted documentation by running "godoc
 --http=:6060", and then visiting http://localhost:6060/doc/install.html.

Package: golang-1.8
Depends: golang-1.8-doc (>= ${source:Version}),
         golang-1.8-go (>= ${source:Version}),
         golang-1.8-src (>= ${source:Version}),
         ${misc:Depends}
Architecture: all
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package is a metapackage that, when installed, guarantees
 that (most of) a full Go development environment is installed.

Package: libgolang-1.8-std1
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Pre-Depends: ${misc:Pre-Depends}
Provides: ${golang:Provides}
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Go standard shared library
 This package contains the Go standard library built as a shared library.
 Packages should not depend on this package directly but rather the ABI-stamped
 value in Provides:. dpkg-shlibdeps will do this automatically.

Package: golang-1.8-go-shared-dev
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Pre-Depends: ${misc:Pre-Depends}
Depends: golang-1.8-go (= ${binary:Version}),
         libgolang-1.8-std1 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Go standard shared library support files
 This package contains the files necessary to link against the shared
 library packaged in libgolang-1.8-std1.
