## golang-1.8 1.8~rc3

=== debian/changelog ===
golang-1.8 (1.8~rc3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 17 Jan 2017 13:56:08 +1300

golang-1.8 (1.8~rc3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 27 Jan 2017 10:23:56 +1300

golang-1.8 (1.8~rc2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 20 Jan 2017 12:15:27 +1300
