## golang-1.8 1.8

=== debian/changelog ===
golang-1.8 (1.8-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 02 Mar 2017 21:22:35 +1300

golang-1.8 (1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 02 Mar 2017 10:11:55 +1300
