## golang-1.8 1.8.1

=== debian/changelog ===
golang-1.8 (1.8.1-1+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Add patch to fix CVE-2019-6486
  * Add patch to fix CVE-2018-6574
  * Add patch to fix CVE-2018-7187

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 28 Jan 2019 22:04:25 +0100

golang-1.8 (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Apr 2017 13:29:28 +1200
