## golang-1.8 1.8.3

=== debian/changelog ===
golang-1.8 (1.8.3-2ubuntu1.18.04.1) bionic; urgency=medium

  * Fix FTBFS (LP: #1815396):
    - On ppc64el by converting some tests that ran with unsupported linker
      flags to run with supported ones.
    - On arm64, by backporting fix to flags passed to host linker from
      upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Feb 2019 09:38:03 +1300

golang-1.8 (1.8.3-2ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.
    - Backport d/patches/cl-40401--more-robust-ABI-hash.patch from upstream to
      make the ABIs of shared libraries slightly more robust.
    - Backport d/patches/i386-shlib-fix.patch from upstream to fix a problem
      with shared libraries on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 15 Aug 2017 13:03:20 +1200

golang-1.8 (1.8.3-2) unstable; urgency=medium

  * Add 0001-Fix-FTBFS-with-Perl-526.patch
  * Rename old style config section [git-dch] to [dch]

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 24 Jul 2017 22:51:01 +0200

golang-1.8 (1.8.3-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.
    - Backport d/patches/cl-40401--more-robust-ABI-hash.patch from upstream to
      make the ABIs of shared libraries slightly more robust.
    - Backport d/patches/i386-shlib-fix.patch from upstream to fix a problem
      with shared libraries on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jun 2017 14:04:12 -0700

golang-1.8 (1.8.3-1) unstable; urgency=medium

  * New upstream release. (Closes: 863292, 863307)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 01 Jun 2017 21:06:00 +1200

golang-1.8 (1.8.1-1ubuntu3) artful; urgency=medium

  * Backport d/patches/i386-shlib-fix.patch from upstream to fix a problem
    with shared libraries on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 02 May 2017 09:55:44 +1200

golang-1.8 (1.8.1-1ubuntu2) artful; urgency=medium

  * Backport d/patches/cl-40401--more-robust-ABI-hash.patch from upstream to
    make the ABIs of shared libraries slightly more robust.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 24 Apr 2017 09:42:50 +1200

golang-1.8 (1.8.1-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Apr 2017 16:40:45 +1200
